%define testname iconsdir

Name: repocop-unittest-alt-desktop-%testname
Version: 0.11
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: ALT desktop intergration tests for repocop test platform.
Group: Development/Other
License: GPL or Artistic
Url: http://repocop.altlinux.org
 
Requires: repocop >= 0.09

%description
Repocop intergration tests for ALT Linux specific Icons Packaging Policy.
see http://www.altlinux.org/IconPaths.

%prep

%build
cat > iconsdir.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}
if ! files_exist $REPOCOP_PKG_ROOT%_menudir/*  && \
   ! files_exist $REPOCOP_PKG_ROOT%_desktopdir/* ; then
    exec repocop-test-skip
fi
if files_exist $REPOCOP_PKG_ROOT%_liconsdir/* ; then
    exec repocop-test-ok
fi
if files_exist $REPOCOP_PKG_ROOT%_datadir/icons/mini/*  || \
files_exist $REPOCOP_PKG_ROOT%_datadir/icons/large/*; then
    exec repocop-test-warn "found pixmaps in old deprecated locations. Move them to %%_liconsdir, %%_niconsdir, %%_miconsdir. See http://www.altlinux.org/IconPathsPolicy."
fi
if files_exist $REPOCOP_PKG_ROOT%_datadir/pixmaps/*; then
    exec repocop-test-experimental "Please, move pixmaps from /usr/share/pixmaps to %%_liconsdir, %%_niconsdir, %%_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy."
fi
exec repocop-test-skip
EOF

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/iconsdir/
%__install -m 755 iconsdir.test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/iconsdir/test

%files
#doc README ChangeLog
%_datadir/repocop/pkgtests/iconsdir

%changelog
* Thu Mar 12 2009 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- reduced complains. Intermediate test until pixmap collector will be written.

* Thu Jan 29 2009 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- dropped info in case of sole _liconsdir

* Sun Jan 18 2009 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- reduced level to info.

* Wed Nov 26 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- refer to altlinux.org

* Fri Mar 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- pkgtests/iconsdir split off to avoid frequent cache rebuilds.
- fixed warning in iconsdir: should require %%_liconsdir, not %%_niconsdir

* Tue Mar 11 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added update_wms test

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- fixed bug in update_menus test

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- added ShowOnlyIn check

* Thu Feb 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated messages

* Mon Feb 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- First build for Sisyphus.
